> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.dataformats.md).

# DataFormats

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides static, predefined [Clipboard](/api/wisej.web/general/wisej.web.clipboard.md), format names. Use them to identify the format of data that you store in an [IDataObject](/api/wisej.web/interfaces/wisej.web.idataobject.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataFormats
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataFormats
```

{% endtab %}
{% endtabs %}

## Fields

| Name                    | Type                                                          | Description                                                                                                                                |
| ----------------------- | ------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| **Bitmap**              | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the bitmap format. This static field is read-only.                                                                               |
| **CommaSeparatedValue** | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies a comma-separated value (CSV) format, which is a common interchange format used by spreadsheets. This static field is read-only. |
| **Dib**                 | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the device-independent bitmap (DIB) format. This static field is read-only.                                                      |
| **Dif**                 | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the Windows Data Interchange Format (DIF). This static field is read-only.                                                       |
| **DownloadURL**         | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the html5 file drag format. This static field is read-only.                                                                      |
| **EnhancedMetafile**    | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the enhanced metafile format. This static field is read-only.                                                                    |
| **FileDrop**            | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the Windows file drop format. This static field is read-only.                                                                    |
| **Files**               | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the html5 file drop format. This static field is read-only.                                                                      |
| **Html**                | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies text in the HTML Clipboard format. This static field is read-only.                                                               |
| **Locale**              | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the culture format. This static field is read-only.                                                                              |
| **MetafilePict**        | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the Windows metafile format. This static field is read-only.                                                                     |
| **OemText**             | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the standard original equipment manufacturer (OEM) text format. This static field is read-only.                                  |
| **Palette**             | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the Windows palette format. This static field is read-only.                                                                      |
| **PenData**             | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the pen data format, which consists of pen strokes for handwriting software. This static field is read-only.                     |
| **Riff**                | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the Resource Interchange File Format (RIFF) audio format. This static field is read-only.                                        |
| **Rtf**                 | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies text consisting of Rich Text Format (RTF) data. This static field is read-only.                                                  |
| **StringFormat**        | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the format used to store string objects. This static field is read-only.                                                         |
| **SymbolicLink**        | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the symbolic link format. This static field is read-only.                                                                        |
| **Text**                | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the standard ANSI text format. This static field is read-only.                                                                   |
| **Tiff**                | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the Tagged Image File Format (TIFF). This static field is read-only.                                                             |
| **UnicodeText**         | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the standard Unicode text format. This static field is read-only.                                                                |
| **WaveAudio**           | [String](https://docs.microsoft.com/dotnet/api/system.string) | Specifies the wave audio format. This static field is read-only.                                                                           |

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) GetFormat(name)

Returns a [Format](/api/wisej.web/enumerations/wisej.web.dataformats.format.md) for the specified format.

| Parameter | Type                                                          | Description      |
| --------- | ------------------------------------------------------------- | ---------------- |
| **name**  | [String](https://docs.microsoft.com/dotnet/api/system.string) | The format name. |

**Returns:** [Format](/api/wisej.web/enumerations/wisej.web.dataformats.format.md). A [Format](/api/wisej.web/enumerations/wisej.web.dataformats.format.md) that has the numeric ID and the name of the format.

### ![](/files/lIX317sDtMTZJBi9oSIx) GetFormat(id)

Returns a [Format](/api/wisej.web/enumerations/wisej.web.dataformats.format.md) for the specified ID.

| Parameter | Type                                                        | Description    |
| --------- | ----------------------------------------------------------- | -------------- |
| **id**    | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The format ID. |

**Returns:** [Format](/api/wisej.web/enumerations/wisej.web.dataformats.format.md). A [Format](/api/wisej.web/enumerations/wisej.web.dataformats.format.md) that has the requested numeric ID and the name of the format.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.dataformats.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
